# GstValidateOverride

TODO

## GstValidateOverride

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateOverride

### Members

`parent` (GstObject) –
No description available
`buffer_handler` (GstValidateOverrideBufferHandler) –
No description available
`event_handler` (GstValidateOverrideEventHandler) –
No description available
`query_handler` (GstValidateOverrideQueryHandler) –
No description available
`buffer_probe_handler` (GstValidateOverrideBufferHandler) –
No description available
`getcaps_handler` (GstValidateOverrideGetCapsHandler) –
No description available
`setcaps_handler` (GstValidateOverrideSetCapsHandler) –
No description available
`element_added_handler` (GstValidateOverrideElementAddedHandler) –
No description available

### Class structure

#### GstValidateOverrideClass

### GstValidate.OverrideClass

## GstValidate.Override

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Override

### Members

`parent` (Gst.Object) –
No description available
`buffer_handler` (GstValidate.OverrideBufferHandler) –
No description available
`event_handler` (GstValidate.OverrideEventHandler) –
No description available
`query_handler` (GstValidate.OverrideQueryHandler) –
No description available
`buffer_probe_handler` (GstValidate.OverrideBufferHandler) –
No description available
`getcaps_handler` (GstValidate.OverrideGetCapsHandler) –
No description available
`setcaps_handler` (GstValidate.OverrideSetCapsHandler) –
No description available
`element_added_handler` (GstValidate.OverrideElementAddedHandler) –
No description available

## GstValidate.Override

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Override

### Members

`parent` (Gst.Object) –
No description available
`buffer_handler` (GstValidate.OverrideBufferHandler) –
No description available
`event_handler` (GstValidate.OverrideEventHandler) –
No description available
`query_handler` (GstValidate.OverrideQueryHandler) –
No description available
`buffer_probe_handler` (GstValidate.OverrideBufferHandler) –
No description available
`getcaps_handler` (GstValidate.OverrideGetCapsHandler) –
No description available
`setcaps_handler` (GstValidate.OverrideSetCapsHandler) –
No description available
`element_added_handler` (GstValidate.OverrideElementAddedHandler) –
No description available

### Constructors

#### gst_validate_override_new

    GstValidateOverride *
    gst_validate_override_new ()

Returns –
No description available

#### GstValidate.Override.prototype.new

    function GstValidate.Override.prototype.new(): {
        // javascript wrapper for 'gst_validate_override_new'
    }

Returns (GstValidate.Override) –
No description available

#### GstValidate.Override.new

    def GstValidate.Override.new ():
        #python wrapper for 'gst_validate_override_new'

Returns (GstValidate.Override) –
No description available

### Methods

#### gst_validate_override_attached

    gst_validate_override_attached (GstValidateOverride * override)

Parameters:

`override` –
No description available

#### GstValidate.Override.prototype.attached

    function GstValidate.Override.prototype.attached(): {
        // javascript wrapper for 'gst_validate_override_attached'
    }

Parameters:

`override` (GstValidate.Override) –
No description available

#### GstValidate.Override.attached

    def GstValidate.Override.attached (self):
        #python wrapper for 'gst_validate_override_attached'

Parameters:

`override` (GstValidate.Override) –
No description available

#### gst_validate_override_buffer_handler

    gst_validate_override_buffer_handler (GstValidateOverride * override,
                                          GstValidateMonitor * monitor,
                                          GstBuffer * buffer)

Parameters:

`override` –
No description available
`monitor` –
No description available
`buffer` –
No description available

#### gst_validate_override_buffer_probe_handler

    gst_validate_override_buffer_probe_handler (GstValidateOverride * override,
                                                GstValidateMonitor * monitor,
                                                GstBuffer * buffer)

Parameters:

`override` –
No description available
`monitor` –
No description available
`buffer` –
No description available

#### gst_validate_override_can_attach

    gboolean
    gst_validate_override_can_attach (GstValidateOverride * override,
                                      GstValidateMonitor * monitor)

Parameters:

`override` –
No description available
`monitor` –
No description available
Returns –
No description available

#### gst_validate_override_change_severity

    gst_validate_override_change_severity (GstValidateOverride * override,
                                           GstValidateIssueId issue_id,
                                           GstValidateReportLevel new_level)

Parameters:

`override` –
No description available
`issue_id` –
No description available
`new_level` –
No description available

#### GstValidate.Override.prototype.change_severity

    function GstValidate.Override.prototype.change_severity(issue_id: GLib.Quark, new_level: GstValidate.ReportLevel): {
        // javascript wrapper for 'gst_validate_override_change_severity'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`issue_id` (GLib.Quark) –
No description available
`new_level` (GstValidate.ReportLevel) –
No description available

#### GstValidate.Override.change_severity

    def GstValidate.Override.change_severity (self, issue_id, new_level):
        #python wrapper for 'gst_validate_override_change_severity'

Parameters:

`override` (GstValidate.Override) –
No description available
`issue_id` (GLib.Quark) –
No description available
`new_level` (GstValidate.ReportLevel) –
No description available

#### gst_validate_override_element_added_handler

    gst_validate_override_element_added_handler (GstValidateOverride * override,
                                                 GstValidateMonitor * monitor,
                                                 GstElement * child)

Parameters:

`override` –
No description available
`monitor` –
No description available
`child` –
No description available

#### gst_validate_override_event_handler

    gst_validate_override_event_handler (GstValidateOverride * override,
                                         GstValidateMonitor * monitor,
                                         GstEvent * event)

Parameters:

`override` –
No description available
`monitor` –
No description available
`event` –
No description available

#### gst_validate_override_free

    gst_validate_override_free (GstValidateOverride * override)

Parameters:

`override` –
No description available

#### GstValidate.Override.prototype.free

    function GstValidate.Override.prototype.free(): {
        // javascript wrapper for 'gst_validate_override_free'
    }

Parameters:

`override` (GstValidate.Override) –
No description available

#### GstValidate.Override.free

    def GstValidate.Override.free (self):
        #python wrapper for 'gst_validate_override_free'

Parameters:

`override` (GstValidate.Override) –
No description available

#### gst_validate_override_get_severity

    GstValidateReportLevel
    gst_validate_override_get_severity (GstValidateOverride * override,
                                        GstValidateIssueId issue_id,
                                        GstValidateReportLevel default_level)

Parameters:

`override` –
No description available
`issue_id` –
No description available
`default_level` –
No description available
Returns –
No description available

#### GstValidate.Override.prototype.get_severity

    function GstValidate.Override.prototype.get_severity(issue_id: GLib.Quark, default_level: GstValidate.ReportLevel): {
        // javascript wrapper for 'gst_validate_override_get_severity'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`issue_id` (GLib.Quark) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available
Returns (GstValidate.ReportLevel) –
No description available

#### GstValidate.Override.get_severity

    def GstValidate.Override.get_severity (self, issue_id, default_level):
        #python wrapper for 'gst_validate_override_get_severity'

Parameters:

`override` (GstValidate.Override) –
No description available
`issue_id` (GLib.Quark) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available
Returns (GstValidate.ReportLevel) –
No description available

#### gst_validate_override_getcaps_handler

    gst_validate_override_getcaps_handler (GstValidateOverride * override,
                                           GstValidateMonitor * monitor,
                                           GstCaps * caps)

Parameters:

`override` –
No description available
`monitor` –
No description available
`caps` –
No description available

#### gst_validate_override_query_handler

    gst_validate_override_query_handler (GstValidateOverride * override,
                                         GstValidateMonitor * monitor,
                                         GstQuery * query)

Parameters:

`override` –
No description available
`monitor` –
No description available
`query` –
No description available

#### gst_validate_override_set_buffer_handler

    gst_validate_override_set_buffer_handler (GstValidateOverride * override,
                                              GstValidateOverrideBufferHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_set_buffer_probe_handler

    gst_validate_override_set_buffer_probe_handler (GstValidateOverride * override,
                                                    GstValidateOverrideBufferHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_set_element_added_handler

    gst_validate_override_set_element_added_handler (GstValidateOverride * override,
                                                     GstValidateOverrideElementAddedHandler func)

Parameters:

`override` –
No description available
`func` –
No description available

#### gst_validate_override_set_event_handler

    gst_validate_override_set_event_handler (GstValidateOverride * override,
                                             GstValidateOverrideEventHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_set_getcaps_handler

    gst_validate_override_set_getcaps_handler (GstValidateOverride * override,
                                               GstValidateOverrideGetCapsHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_set_query_handler

    gst_validate_override_set_query_handler (GstValidateOverride * override,
                                             GstValidateOverrideQueryHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_set_setcaps_handler

    gst_validate_override_set_setcaps_handler (GstValidateOverride * override,
                                               GstValidateOverrideSetCapsHandler handler)

Parameters:

`override` –
No description available
`handler` –
No description available

#### gst_validate_override_setcaps_handler

    gst_validate_override_setcaps_handler (GstValidateOverride * override,
                                           GstValidateMonitor * monitor,
                                           GstCaps * caps)

Parameters:

`override` –
No description available
`monitor` –
No description available
`caps` –
No description available

### Functions

#### gst_validate_override_register_by_klass

    gst_validate_override_register_by_klass (const gchar * klass,
                                             GstValidateOverride * override)

Parameters:

`klass` –
No description available
`override` –
No description available

#### GstValidate.Override.prototype.register_by_klass

    function GstValidate.Override.prototype.register_by_klass(klass: String, override: GstValidate.Override): {
        // javascript wrapper for 'gst_validate_override_register_by_klass'
    }

Parameters:

`klass` (String) –
No description available
`override` (GstValidate.Override) –
No description available

#### GstValidate.Override.register_by_klass

    def GstValidate.Override.register_by_klass (klass, override):
        #python wrapper for 'gst_validate_override_register_by_klass'

Parameters:

`klass` (str) –
No description available
`override` (GstValidate.Override) –
No description available

#### gst_validate_override_register_by_name

    gst_validate_override_register_by_name (const gchar * name,
                                            GstValidateOverride * override)

Parameters:

`name` –
No description available
`override` –
No description available

#### GstValidate.Override.prototype.register_by_name

    function GstValidate.Override.prototype.register_by_name(name: String, override: GstValidate.Override): {
        // javascript wrapper for 'gst_validate_override_register_by_name'
    }

Parameters:

`name` (String) –
No description available
`override` (GstValidate.Override) –
No description available

#### GstValidate.Override.register_by_name

    def GstValidate.Override.register_by_name (name, override):
        #python wrapper for 'gst_validate_override_register_by_name'

Parameters:

`name` (str) –
No description available
`override` (GstValidate.Override) –
No description available

#### gst_validate_override_register_by_type

    gst_validate_override_register_by_type (GType gtype,
                                            GstValidateOverride * override)

Parameters:

`gtype` –
No description available
`override` –
No description available

#### GstValidate.Override.prototype.register_by_type

    function GstValidate.Override.prototype.register_by_type(gtype: GObject.Type, override: GstValidate.Override): {
        // javascript wrapper for 'gst_validate_override_register_by_type'
    }

Parameters:

`gtype` (GObject.Type) –
No description available
`override` (GstValidate.Override) –
No description available

#### GstValidate.Override.register_by_type

    def GstValidate.Override.register_by_type (gtype, override):
        #python wrapper for 'gst_validate_override_register_by_type'

Parameters:

`gtype` (GObject.Type) –
No description available
`override` (GstValidate.Override) –
No description available

### Properties

#### validate-runner

    “validate-runner” GstValidateRunner *

Flags : Read / Write / Construct Only

#### validate-runner

    “validate-runner” GstValidate.Runner

Flags : Read / Write / Construct Only

#### validate_runner

    “self.props.validate_runner” GstValidate.Runner

Flags : Read / Write / Construct Only

### Virtual Methods

#### attached

    attached (GstValidateOverride * override)

Parameters:

`override` –
No description available

#### vfunc_attached

    function vfunc_attached(override: GstValidate.Override): {
        // javascript implementation of the 'attached' virtual method
    }

Parameters:

`override` (GstValidate.Override) –
No description available

#### do_attached

    def do_attached (override):
        #python implementation of the 'attached' virtual method

Parameters:

`override` (GstValidate.Override) –
No description available

#### can_attach

    gboolean
    can_attach (GstValidateOverride * override,
                GstValidateMonitor * monitor)

Parameters:

`override` –
No description available
`monitor` –
No description available
Returns –
No description available

## Function Macros

### GST_IS_VALIDATE_OVERRIDE

    #define GST_IS_VALIDATE_OVERRIDE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GST_TYPE_VALIDATE_OVERRIDE))

### GST_IS_VALIDATE_OVERRIDE_CLASS

    #define GST_IS_VALIDATE_OVERRIDE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GST_TYPE_VALIDATE_OVERRIDE))

## Constants

### GST_TYPE_VALIDATE_OVERRIDE

    #define GST_TYPE_VALIDATE_OVERRIDE (gst_validate_override_get_type ())

## Callbacks

### GstValidateOverrideBufferHandler

    (*GstValidateOverrideBufferHandler) (GstValidateOverride * override,
                                         GstValidateMonitor * pad_monitor,
                                         GstBuffer * buffer)

Parameters:

`override` –
No description available
`pad_monitor` –
No description available
`buffer` –
No description available

### GstValidate.OverrideBufferHandler

    function GstValidate.OverrideBufferHandler(override: GstValidate.Override, pad_monitor: GstValidate.Monitor, buffer: Gst.Buffer): {
        // javascript wrapper for 'GstValidateOverrideBufferHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`buffer` (Gst.Buffer) –
No description available

### GstValidate.OverrideBufferHandler

    def GstValidate.OverrideBufferHandler (override, pad_monitor, buffer):
        #python wrapper for 'GstValidateOverrideBufferHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`buffer` (Gst.Buffer) –
No description available

### GstValidateOverrideElementAddedHandler

    (*GstValidateOverrideElementAddedHandler) (GstValidateOverride * override,
                                               GstValidateMonitor * bin_monitor,
                                               GstElement * new_child)

Parameters:

`override` –
No description available
`bin_monitor` –
No description available
`new_child` –
No description available

### GstValidate.OverrideElementAddedHandler

    function GstValidate.OverrideElementAddedHandler(override: GstValidate.Override, bin_monitor: GstValidate.Monitor, new_child: Gst.Element): {
        // javascript wrapper for 'GstValidateOverrideElementAddedHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`bin_monitor` (GstValidate.Monitor) –
No description available
`new_child` (Gst.Element) –
No description available

### GstValidate.OverrideElementAddedHandler

    def GstValidate.OverrideElementAddedHandler (override, bin_monitor, new_child):
        #python wrapper for 'GstValidateOverrideElementAddedHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`bin_monitor` (GstValidate.Monitor) –
No description available
`new_child` (Gst.Element) –
No description available

### GstValidateOverrideEventHandler

    (*GstValidateOverrideEventHandler) (GstValidateOverride * override,
                                        GstValidateMonitor * pad_monitor,
                                        GstEvent * event)

Parameters:

`override` –
No description available
`pad_monitor` –
No description available
`event` –
No description available

### GstValidate.OverrideEventHandler

    function GstValidate.OverrideEventHandler(override: GstValidate.Override, pad_monitor: GstValidate.Monitor, event: Gst.Event): {
        // javascript wrapper for 'GstValidateOverrideEventHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`event` (Gst.Event) –
No description available

### GstValidate.OverrideEventHandler

    def GstValidate.OverrideEventHandler (override, pad_monitor, event):
        #python wrapper for 'GstValidateOverrideEventHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`event` (Gst.Event) –
No description available

### GstValidateOverrideGetCapsHandler

    (*GstValidateOverrideGetCapsHandler) (GstValidateOverride * override,
                                          GstValidateMonitor * pad_monitor,
                                          GstCaps * caps)

Parameters:

`override` –
No description available
`pad_monitor` –
No description available
`caps` –
No description available

### GstValidate.OverrideGetCapsHandler

    function GstValidate.OverrideGetCapsHandler(override: GstValidate.Override, pad_monitor: GstValidate.Monitor, caps: Gst.Caps): {
        // javascript wrapper for 'GstValidateOverrideGetCapsHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`caps` (Gst.Caps) –
No description available

### GstValidate.OverrideGetCapsHandler

    def GstValidate.OverrideGetCapsHandler (override, pad_monitor, caps):
        #python wrapper for 'GstValidateOverrideGetCapsHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`caps` (Gst.Caps) –
No description available

### GstValidateOverrideQueryHandler

    (*GstValidateOverrideQueryHandler) (GstValidateOverride * override,
                                        GstValidateMonitor * pad_monitor,
                                        GstQuery * query)

Parameters:

`override` –
No description available
`pad_monitor` –
No description available
`query` –
No description available

### GstValidate.OverrideQueryHandler

    function GstValidate.OverrideQueryHandler(override: GstValidate.Override, pad_monitor: GstValidate.Monitor, query: Gst.Query): {
        // javascript wrapper for 'GstValidateOverrideQueryHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`query` (Gst.Query) –
No description available

### GstValidate.OverrideQueryHandler

    def GstValidate.OverrideQueryHandler (override, pad_monitor, query):
        #python wrapper for 'GstValidateOverrideQueryHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`query` (Gst.Query) –
No description available

### GstValidateOverrideSetCapsHandler

    (*GstValidateOverrideSetCapsHandler) (GstValidateOverride * override,
                                          GstValidateMonitor * pad_monitor,
                                          GstCaps * caps)

Parameters:

`override` –
No description available
`pad_monitor` –
No description available
`caps` –
No description available

### GstValidate.OverrideSetCapsHandler

    function GstValidate.OverrideSetCapsHandler(override: GstValidate.Override, pad_monitor: GstValidate.Monitor, caps: Gst.Caps): {
        // javascript wrapper for 'GstValidateOverrideSetCapsHandler'
    }

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`caps` (Gst.Caps) –
No description available

### GstValidate.OverrideSetCapsHandler

    def GstValidate.OverrideSetCapsHandler (override, pad_monitor, caps):
        #python wrapper for 'GstValidateOverrideSetCapsHandler'

Parameters:

`override` (GstValidate.Override) –
No description available
`pad_monitor` (GstValidate.Monitor) –
No description available
`caps` (Gst.Caps) –
No description available

The results of the search are